#include "QToolProcessBarDialog.h"

QToolProcessBarDialog::QToolProcessBarDialog(QWidget *parent)
	: QDialog(parent)
{
	ui.setupUi(this);
	ui.progressBar->setRange(0, 100);

}

QToolProcessBarDialog::~QToolProcessBarDialog()
{}

void QToolProcessBarDialog::showProcess(double precent, QString tip)
{
	ui.progressBar->setValue(std::ceil(precent * 100));
	ui.labelTip->setText(tip);
	this->update();
}

void QToolProcessBarDialog::showToolInfo(QString tip)
{
	ui.textEditTip->append("\n"+tip);
}
